Remove a sender

Accepts sender removal and marks the sender inactive.

DELETE
/v1/email/senders/{id}

Accepts sender removal and marks the sender inactive. A default sender can be removed when no other active sender remains in the organization. It reports the deleting lifecycle until removal finishes.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^sender_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

SuccessResult

application/json
  1. response
success*boolean
message*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.removeSender({  "id": "example"});
Example Response
{  "success": true,  "message": "string"}

Related documentation